
% sroc_init
%   script that initializes sroc parameters and returns them in a
%   variable sroc. Edit this script to customize it to your method.
%
%
% (c) Jana Kostliva (kostliva@cmp.felk.cvut.cz) 
%     CMP FEE CTU in Prague, 23-Apr-2007

sroc = [];

% fill the algorithm name, authors, algorithm abbreviation (to be 
%    used in plots and tables) and bib-reference (to easily 
%    identify the algorithm)
% Note, the names are case-sensitive!
% necesarry when uploaded only

sroc.alg_name = 'noname';
sroc.alg_authors = 'noauthors';
sroc.alg_abbrv = 'noabbrv';
sroc.alg_bibref = 'nobibref';

% fill the parameter name (cell list) and values (array) under
%    which the algroithm will be evaluated
% REQUIRED

sroc.param_name = {'noname'};
sroc.params = [];

% list of scenes for evaluation

sroc.scenes = {'cones','slits','stripes','teddy','tsukuba', ...
	       'venus'};

% paths setting

sroc.rootPth = '.';
sroc.ImgPth = [sroc.rootPth '/Images'];
sroc.ResPth = [sroc.rootPth '/Results/' sroc.alg_abbrv];

% Do you want to export the results to files (plots to eps, pdf 
% and fig; improvements and efficiency to tex)?
% 0 ... no export, 1 ... export

sroc.export_results = 1;

% Do you want to prepare the results for upload?
% 0 ... no upload, 1 ... prepare upload

sroc.upload = 0; 


addpath([sroc.rootPth '/Code']);

