function d = sroc_test_example(l, r, drange, parameters)
%
%   d = sroc_test_example(l, r, drange, parameter)
%
%      computes disparity map
%      demonstration, how to write your method calling in 'sroc_test'
%
%   input:
%         l,r ... input left and right images (gray-scale)
%      drange ... disparity search range
%  parameters ... array of parameters for the method
%                 Nx1 size for N parameters
%
%  example: Stratified Dense Matching (sdm), published in:
%   J.Kostkova, R.Sara: Stratified Dense Matching for Stereopsis in
%      Compex Scenes. In BMVC2003, pp. 339-348, 2003.
%
% 
% (c) Jana Kostliva (kostliva@cmp.felk.cvut.cz)
%     CMP, FEE CTU in Prague, 23-Apr-2007
%    


d = sdm(l, r, 'searchrange', drange, 'csalpha', parameters(1), ...
	'csbeta', parameters(2));


